﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Lobs.ApplicationModel;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace ApplicationModelTests
{
  /// <summary>
  /// Summary description for ApplicationModelTests
  /// </summary>
  [TestClass]
  public partial class ApplicationModelTests
  {
    public ApplicationModelTests()
    { }

    /// <summary>
    ///Gets or sets the test context which provides
    ///information about and functionality for the current test run.
    ///</summary>
    public TestContext TestContext
    {
      get { return _testContextInstance; }
      set { _testContextInstance = value; }
    }
    private TestContext _testContextInstance;

    // You can use the following additional attributes as you write your tests:
    //
    // Use ClassInitialize to run code before running the first test in the class
    // [ClassInitialize()]
    // public static void MyClassInitialize(TestContext testContext) { }
    //
    // Use ClassCleanup to run code after all tests in a class have run
    // [ClassCleanup()]
    // public static void MyClassCleanup() { }

    /// <summary>
    /// Use TestInitialize to run code before running each test.
    /// </summary>
    [TestInitialize]
    public void MyTestInitialize()
    {
      GlobalSetups.InitializeApplication(TestContext);
    }

    //Use TestCleanup to run code after each test has run
    [TestCleanup]
    public void MyTestCleanup()
    {
      GlobalSetups.DeinitializeApplication();
    }

    [TestMethod]
    public void Application_process_exists()
    {
      Assert.IsNotNull(ApplicationProcess.Current);
    }
  }
}
