﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Lobs.ApplicationModel;
using Lobs.DataModel;
using Lobs.DataModel.AccessDataProvider;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace ApplicationModelTests
{
  /// <summary>
  /// Summary description for UnitTest1
  /// </summary>
  public partial class ApplicationModelTests
  {
    [TestMethod]
    public void Initialize_key_tables()
    {
      var process = ApplicationProcess.Current;
      process.InitializeKeyTables();

      var categories = process.KeyTables.Cagegories;
      Assert.AreEqual(categories.Count(), 8);

      var shippers = process.KeyTables.Shippers;
      Assert.AreEqual(shippers.Count(), 3);
    }
  }
}
