﻿


Public Interface IDataProvider
  ' Keytables
  Function LoadCategories() As IEnumerable(Of Category)
  Function LoadShippers() As IEnumerable(Of Shipper)

  ' Employee
  Sub DeleteEmployee(ByVal employee As Employee)
  Function LoadEmployeePhoto(ByVal id As String) As Byte()
  Function LoadEmployees() As IEnumerable(Of Employee)
  Sub SaveEmployee(ByVal employee As Employee)
  Function SaveEmployees(ByVal employees As IEnumerable(Of Employee)) As Integer

  ' Product
  Function LoadProducts() As IEnumerable(Of Product)
  Sub SaveProduct(ByVal product As Product)
End Interface
