﻿Imports Lobs.DataModel.WcfServiceDataProvider.ServiceReference2

Public Class WcfProvider
  Implements IDataProvider
  ' Methods
  Public Sub New()

  End Sub
  Public Shared Function CreateDataProvider() As WcfProvider
    Return New WcfProvider
  End Function
  Public Sub DeleteEmployee(ByVal employee As Employee) Implements IDataProvider.DeleteEmployee
    Throw New NotImplementedException
  End Sub
  Public Function LoadCategories() As IEnumerable(Of Category) Implements IDataProvider.LoadCategories
    Dim client As New Service2Client
    Return client.LoadCategories
  End Function
  Public Function LoadEmployeePhoto(ByVal id As String) As Byte() Implements IDataProvider.LoadEmployeePhoto
    Dim client As New Service2Client
    Return client.LoadEmployeePhoto(id)
  End Function
  Public Function LoadEmployees() As IEnumerable(Of Employee) Implements IDataProvider.LoadEmployees
    Dim client As New Service2Client
    Return client.LoadEmployees
  End Function
  Public Function LoadProducts() As IEnumerable(Of Product) Implements IDataProvider.LoadProducts
    Dim client As New Service2Client
    Return client.LoadProducts
  End Function
  Public Function LoadShippers() As IEnumerable(Of Shipper) Implements IDataProvider.LoadShippers
    Dim client As New Service2Client
    Return client.LoadShippers
  End Function
  Public Sub SaveEmployee(ByVal employee As Employee) Implements IDataProvider.SaveEmployee
    Throw New NotImplementedException
  End Sub
  Public Function SaveEmployees(ByVal employees As IEnumerable(Of Employee)) As Integer Implements IDataProvider.SaveEmployees
    Dim list As New List(Of Employee)
    list.AddRange(employees)
    Dim client As New Service2Client
    Return client.SaveEmployees(list)
  End Function
  Public Sub SaveProduct(ByVal product As Product) Implements IDataProvider.SaveProduct
    Throw New NotImplementedException
  End Sub
End Class
