﻿Imports System.Diagnostics
Imports System.Threading

Namespace Lobs.ViewModel
  Public Class ViewModelBase
    Inherits Frmwrk.Windows.ViewModel.ViewModelBase

    Public Sub New()
    End Sub

    Shared Sub New()
      ViewModelBase._uiSyncContext = SynchronizationContext.Current
      Debug.Assert((Not ViewModelBase._uiSyncContext Is Nothing))
    End Sub

    Protected Sub SendToView(ByVal action As Action)
      ViewModelBase._uiSyncContext.Send(Function(state As Object) SendToViewHelper(action), Nothing)
    End Sub

    Function SendToViewHelper(ByVal action As Action) As Boolean
      action.Invoke()
    End Function

    Protected ReadOnly Property ApplicationProcess() As ApplicationModel.ApplicationProcess
      Get
        Return ApplicationModel.ApplicationProcess.Current
      End Get
    End Property

    Private Shared ReadOnly _uiSyncContext As SynchronizationContext
  End Class
End Namespace