﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using Lobs.ViewModel;

namespace Lobs.Views
{
  /// <summary>
  /// Root view of the silverlight application.
  /// </summary>
  public partial class MainView : Windows.UserControlBase
  {
    public MainView()
    {
      InitializeComponent();
    }

    MainViewModel ViewModel
    {
      get { return (MainViewModel)DataContext; }
    }

    private void Click_Employees(object sender, RoutedEventArgs e)
    {
      // Transfer events directly to view model.
      ViewModel.ShowEmployees();
    }

    private void Click_Products(object sender, RoutedEventArgs e)
    {
      // Transfer events directly to view model.
      ViewModel.ShowProductDialog();
    }
  }
}
