﻿using System;
using Lobs.ApplicationModel;
using Lobs.DataModel;
using Lobs.DataModel.AccessDataProvider;
using Microsoft.VisualStudio.TestTools.UnitTesting;

public static class GlobalSetups
{
  static GlobalSetups()
  { }

  public static void InitializeApplication(TestContext testContext)
  {
    DataProviderFactory.RegisterProvider("access", () => MSAccessProvider.CreateDataProvider(null));
    ApplicationProcess.Initialize("access");
  }

  public static void DeinitializeApplication()
  {
    ApplicationProcess.DeInitialize();
    DataProviderFactory.Deinitialize();
  }
}
