﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lobs.ApplicationModel
{
  public class Category
  {
    public Category()
    {
      _dmObject = new DataModel.Category();
    }

    internal string ID { get { return _dmObject.ID; } }

    public string Name { get { return _dmObject.Name; } set { _dmObject.Name = value; } }

    public string Description { get { return _dmObject.Description; } set { _dmObject.Description = value; } }

    public byte[] Picture { get { return _dmObject.Picture; } set { _dmObject.Picture = value; } }

    // etc...


    /// <summary>
    /// Creates Employee or Manager from data model object.
    /// </summary>
    internal static Category FromDataModel(DataModel.Category dmObject)
    {
      Category category = new Category();
      category._dmObject = dmObject;
      return category;
    }

    /// <summary>
    /// Copies properties to data model.
    /// </summary>
    internal DataModel.Category ToDataModel()
    {
      return _dmObject;
    }

    DataModel.Category _dmObject;
  }
}
