﻿Public Class BaseClass
  Public Sub New()

  End Sub

  Public Sub Merge(ByVal maBaseclass As BaseClass)
    Me.ID = maBaseclass.ID
    Me.OriginalID = maBaseclass.OriginalID
    Me.IsActive = maBaseclass.IsActive
    Me.IsDeleted = maBaseclass.IsDeleted
  End Sub

  ''' <summary>
  ''' Gets or sets the Guid.
  ''' </summary>
  Public Property ID() As String
    Get
      Return _ID
    End Get
    Set(ByVal value As String)
      _ID = value
    End Set
  End Property
  Private _ID As String

  ''' <summary>
  ''' Gets or sets the Original-Guid.
  ''' </summary>
  Public Property OriginalID() As String
    Get
      Return _OriginalID
    End Get
    Set(ByVal value As String)
      _OriginalID = value
    End Set
  End Property
  Private _OriginalID As String

  ''' <summary>
  ''' Gets or sets the IsActive flag.
  ''' </summary>
  Public Property IsActive() As Boolean
    Get
      Return _IsActive
    End Get
    Set(ByVal value As Boolean)
      _IsActive = value
    End Set
  End Property
  Private _IsActive As Boolean

  ''' <summary>
  ''' Gets or sets the IsDeleted flag.
  ''' </summary>
  Public Property IsDeleted() As Boolean
    Get
      Return _IsDeleted
    End Get
    Set(ByVal value As Boolean)
      _IsDeleted = value
    End Set
  End Property
  Private _IsDeleted As Boolean

  ''' <summary>
  ''' Gets or sets the IsDirty flag.
  ''' </summary>
  Public Property IsDirty() As Boolean
    Get
      Return _IsDirty
    End Get
    Set(ByVal value As Boolean)
      _IsDirty = value
    End Set
  End Property
  Private _IsDirty As Boolean

End Class
