﻿''' <summary>
''' DataModel class for employee.
''' </summary>
Public Class Employee
  Inherits BaseClass
  ' Methods
  Public Sub New()

  End Sub

  Public Property FirstName() As String
    Get
      Return _FirstName
    End Get
    Set(ByVal value As String)
      _FirstName = value
    End Set
  End Property
  Private _FirstName As String

  Public Property LastName() As String
    Get
      Return _LastName
    End Get
    Set(ByVal value As String)
      _LastName = value
    End Set
  End Property
  Private _LastName As String

  Public Property BirthDate() As DateTime
    Get
      Return _BirthDate
    End Get
    Set(ByVal value As DateTime)
      _BirthDate = value
    End Set
  End Property
  Private _BirthDate As DateTime

  Public Property Photo() As Byte()
    Get
      Return _Photo
    End Get
    Set(ByVal value As Byte())
      _Photo = value
    End Set
  End Property
  Private _Photo As Byte()

  Public Property Title() As String
    Get
      Return _Title
    End Get
    Set(ByVal value As String)
      _Title = value
    End Set
  End Property
  Private _Title As String

  Public Property TitleOfCourtesy() As String
    Get
      Return _TitleOfCourtesy
    End Get
    Set(ByVal value As String)
      _TitleOfCourtesy = value
    End Set
  End Property
  Private _TitleOfCourtesy As String

  ''' <summary>
  ''' Gets a value indicating whether this instance is a manager.
  ''' </summary>
  Public ReadOnly Property IsManager() As Boolean
    Get
      Return (Not String.IsNullOrEmpty(Me.Title) AndAlso (Me.Title.Contains("Manager") OrElse Me.Title.Contains("President")))
    End Get
  End Property

End Class
