﻿Imports Lobs.DataModel.AccessDataProvider
Imports Lobs.ApplicationModel
Imports Lobs.DataModel
Imports Lobs.DataModel.WcfServiceDataProvider
Imports Lobs.ViewModel

Class Application

  ' Application-level events, such as Startup, Exit, and DispatcherUnhandledException
  ' can be handled in this file.


  Protected Overrides Sub OnStartup(ByVal e As System.Windows.StartupEventArgs)
    MyBase.OnStartup(e)
    DataProviderFactory.RegisterProvider("access", (Function() MSAccessProvider.CreateDataProvider("abc")))
    DataProviderFactory.RegisterProvider("wcf", New Func(Of IDataProvider)(AddressOf WcfProvider.CreateDataProvider))
        ApplicationProcess.Initialize("access")
    ViewModelProcess.Initialize()
  End Sub
End Class
