﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Collections.Generic;
using System.Text;
using Lobs.DataModel.AccessDataProvider;

namespace Lobs.WcsService
{
  static class Config
  {
    public static void Initialize()
    {
      if (!_initialized)
      {
        _initialized = true;
        DataModel.DataProviderFactory.RegisterProvider("access-xxx", typeof(MSAccessProvider), "mdb file name");

        // better is this style
        DataModel.DataProviderFactory.RegisterProvider("access", () => MSAccessProvider.CreateDataProvider("some parameter"));
      }
    }

    static bool _initialized;
  }
}
