﻿Imports System.ComponentModel
Imports System.Windows
Imports System.Windows.Controls
Imports Lobs.ViewModel

'Imports Lobs.Windows

Namespace Lobs.Views
  Partial Public Class MainView
    Inherits Lobs.Windows.UserControlBase

    Public Sub New()
      Me.InitializeComponent()
    End Sub

    Private Sub xxxClick_Employees(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Me.ViewModel.ShowEmployees()
    End Sub

    Private Sub xxxClick_ProductDialog(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Me.ViewModel.ShowProductDialog()
    End Sub

    Private ReadOnly Property ViewModel() As MainViewModel
      Get
        Return DirectCast(MyBase.DataContext, MainViewModel)
      End Get
    End Property

    Private Sub Click_Employees(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
      Me.ViewModel.ShowEmployees()
    End Sub

    Private Sub Click_ProductDialog(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
      Me.ViewModel.ShowProductDialog()
    End Sub
  End Class
End Namespace